org.eclipse.microprofile.graphql

## Class GraphQLException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.microprofile.graphql.GraphQLException

All Implemented Interfaces:
  Serializable

    public class GraphQLException
    extends Exception

A GraphQLException is used to pass error information back to the client. Instances of GraphQLException and it's subclasses will pass the `message` field back to the client. The optional `ExceptionType` may also be specified. While it is expected that MP GraphQL implementations will return the message to the client, implementations must not return the stack trace not the cause to the client.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GraphQLException.ExceptionType`

### Constructor Summary

Constructors
Constructor and Description
`GraphQLException()`
`GraphQLException(GraphQLException.ExceptionType type)`
`GraphQLException(Object partialResults)`
`GraphQLException(String message)`
`GraphQLException(String message, GraphQLException.ExceptionType type)`
`GraphQLException(String message, Object partialResults)`
`GraphQLException(String message, Throwable cause)`
`GraphQLException(String message, Throwable cause, GraphQLException.ExceptionType type)`
`GraphQLException(String message, Throwable cause, Object partialResults)`
`GraphQLException(Throwable cause)`
`GraphQLException(Throwable cause, GraphQLException.ExceptionType type)`
`GraphQLException(Throwable cause, Object partialResults)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GraphQLException.ExceptionType` `getExceptionType()`
`Object` `getPartialResults()`
`void` `setExceptionType(GraphQLException.ExceptionType type)`
`void` `setPartialResults(Object partialResults)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphQLException

    public GraphQLException()

#### GraphQLException

    public GraphQLException(String message)

#### GraphQLException

    public GraphQLException(Throwable cause)

#### GraphQLException

    public GraphQLException(String message,
                            Throwable cause)

#### GraphQLException

    public GraphQLException(GraphQLException.ExceptionType type)

#### GraphQLException

    public GraphQLException(String message,
                            GraphQLException.ExceptionType type)

#### GraphQLException

    public GraphQLException(Throwable cause,
                            GraphQLException.ExceptionType type)

#### GraphQLException

    public GraphQLException(String message,
                            Throwable cause,
                            GraphQLException.ExceptionType type)

#### GraphQLException

    public GraphQLException(Object partialResults)

#### GraphQLException

    public GraphQLException(String message,
                            Object partialResults)

#### GraphQLException

    public GraphQLException(Throwable cause,
                            Object partialResults)

#### GraphQLException

    public GraphQLException(String message,
                            Throwable cause,
                            Object partialResults)

### Method Detail

#### getPartialResults

    public Object getPartialResults()

#### setPartialResults

    public void setPartialResults(Object partialResults)

#### getExceptionType

    public GraphQLException.ExceptionType getExceptionType()

#### setExceptionType

    public void setExceptionType(GraphQLException.ExceptionType type)